<ion-header>
  <ion-navbar>
    <ion-title>Registrasi Seminar</ion-title>
    <ion-buttons end>
      <button ion-button icon-only (click)="openSetting()">
        <ion-icon ios="md-more" md="md-more"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>
  <form #f="ngForm" (ngSubmit)="onSubmit(f)" novalidate>
    <p style="margin: 5px;margin-left:16px">Biodata Pendaftar</p>
    <hr style="position: relative;width: 150%;left: -25%;">

    <ion-item style="padding-right: 10px;">
      <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>Nama <small>(harus diisi)</small></ion-label>
      <ion-input style="border: 1px solid gray;padding-left: 5px" row="10" name="fullname" [(ngModel)]="fullnamePendaftar" type="text" ngModel #fullname_="ngModel" required></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px;">
      <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>Nama Perusahaan</ion-label>
      <ion-input style="border: 1px solid gray;padding-left: 5px" row="10" name="company" [(ngModel)]="companyPendaftar" type="text" ngModel #company_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>Email <small>(harus diisi)</small></ion-label>
      <ion-input style="border: 1px solid gray;padding-left: 5px" type="email" name="email" [(ngModel)]="emailPendaftar" ngModel #email_="ngModel" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px;margin-bottom:10px">
      <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>No. Telepon</ion-label>
      <ion-input style="border: 1px solid gray;padding-left: 5px" row="10" name="phone" [(ngModel)]="phone" type="number" pattern="\\d*" ngModel #phone_="ngModel"></ion-input>
    </ion-item>

    <hr style="position: relative;width: 150%;left: -25%;">
    <p style="margin: 5px;margin-left:16px">Seminar yang akan diikuti</p>
    <hr style="position: relative;width: 150%;left: -25%;">

    <ion-list>
      <ion-item *ngFor="let seminar of listSeminarRelated" class="item item-text-wrap">
        <ion-label style="word-wrap: normal;white-space: pre-line!important;">{{seminar.title}}
          <small>Pelaksanaan seminar : {{convertDateText(seminar.seminar_start)}} - {{convertDateText(seminar.seminar_end)}}</small></ion-label>
        <ion-checkbox [checked]="seminar.id  == id"  (ionChange)="updateSelected(seminar.id)"></ion-checkbox>
      </ion-item>
    </ion-list>

    <p style="margin: 5px;margin-left:16px">Silahkan isi kembali identitas, jika pendaftar ingin ikut menjadi peserta</p>
    <div *ngFor="let user of users;let i = index">
      <hr style="position: relative;width: 150%;left: -25%;">
      <p style="margin: 5px;margin-left:16px">Biodata Calon Peserta #{{i + 1}}</p>
      <hr style="position: relative;width: 150%;left: -25%;">

      <ion-item style="padding-right: 10px;">
        <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>Nama <small>(harus diisi)</small></ion-label>
        <ion-input style="border: 1px solid gray;padding-left: 5px" row="10" name="fullname{{i}}" [(ngModel)]="fullnameRegisterPeople[i]" type="text" required></ion-input>
      </ion-item>
      <ion-item style="padding-right: 10px;">
        <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>Nama Perusahaan</ion-label>
        <ion-input style="border: 1px solid gray;padding-left: 5px" row="10" name="company{{i}}" [(ngModel)]="companyRegisterPeople[i]" type="text"></ion-input>
      </ion-item>
      <ion-item style="padding-right: 10px; margin-bottom:10px">
        <ion-label style="font-weight: bold; margin-bottom: 5px" stacked>Email <small>(harus diisi)</small></ion-label>
        <ion-input style="border: 1px solid gray;padding-left: 5px" type="email" name="email{{i}}" [(ngModel)]="emailRegisterPeople[i]" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
      </ion-item>
    </div>

    <ion-item>
      <ion-grid>
        <ion-col col-6 offset-3>
          <button class="button-input" ion-button block style="text-transform:none;" >Daftar</button>
        </ion-col>
      </ion-grid>
    </ion-item>

</form>
</ion-content>
